API referenceAnalytics

GET /analytics

With postId: live insights of one post (as /analytics/posts/{id}). Without: posts published in the window with their latest stored metrics, engagement rate and overview totals

GET
/analytics

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

postId?string

One Postgale post (live insights)

profileId?string

Only this profile

platform?string

Only this platform

accountId?string

Only this account

source?string

Posts published through Postgale (late is Zernio's name) or imported from the platform

Value in"postgale""late""external"
fromDate?string

First day, YYYY-MM-DD (default: 90 days ago)

toDate?string

Last day, YYYY-MM-DD (default: today)

sortBy?string

Order

Value in"date""engagement"
limit?integer

Maximum items (default 50, max 100)

Range1 <= value <= 100
Default50
page?integer

Page (1-based)

Response Body

{overview, posts, pagination} or {postId, targets}

application/json
  1. response
overview?
posts?array<>
pagination?
Example Request
curl -X GET 'https://example.com/api/v1/analytics'
Example Response
{  "overview": {},  "posts": [    {}  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "pages": 0  }}